"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PeerconnectionStatus1670225251577 = void 0;
const typeorm_1 = require("typeorm");
class PeerconnectionStatus1670225251577 {
    async up(queryRunner) {
        await queryRunner.addColumn("Peerconnection", new typeorm_1.TableColumn({
            name: "status",
            type: "text",
            enum: ['waiting-for-devices', 'connected', 'failed', 'closed'],
            isNullable: true
        }));
        queryRunner.query(`UPDATE Peerconnection SET status='closed'`);
        await queryRunner.changeColumn("Peerconnection", "status", new typeorm_1.TableColumn({
            name: "status",
            type: "text",
            enum: ['waiting-for-devices', 'connected', 'failed', 'closed'],
            isNullable: false
        }));
    }
    async down(queryRunner) {
        await queryRunner.dropColumn("Peerconnection", "status");
    }
}
exports.PeerconnectionStatus1670225251577 = PeerconnectionStatus1670225251577;
//# sourceMappingURL=1670225251577-PeerconnectionStatus.js.map