"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppDataSource = void 0;
const typeorm_1 = require("typeorm");
const _1670225251577_PeerconnectionStatus_1 = require("./database/migrations/1670225251577-PeerconnectionStatus");
const model_1 = require("./model");
exports.AppDataSource = new typeorm_1.DataSource({
    type: 'sqlite',
    database: 'db/device.db',
    synchronize: true,
    entities: [
        model_1.DeviceOverviewModel,
        model_1.ConcreteDeviceModel,
        model_1.InstantiableDeviceOverviewModel,
        model_1.InstantiableCloudDeviceModel,
        model_1.InstantiableBrowserDeviceModel,
        model_1.DeviceGroupModel,
        model_1.AvailabilityRuleModel,
        model_1.ServiceConfigModel,
        model_1.DeviceReferenceModel,
        model_1.PeerconnectionModel,
        model_1.TimeSlotModel,
        model_1.ServiceModel,
    ],
    migrations: [_1670225251577_PeerconnectionStatus_1.PeerconnectionStatus1670225251577],
    //migrationsRun: true
});
//# sourceMappingURL=data_source.js.map